<apex:page standardController="HOG_Maintenance_Servicing_Form__c" extensions="MaintenanceServicingActivityDetailsCtrlX" tabStyle="Location__c">
	<!--03.28.2018 MP added flag for WOs with activities that were Completed Using Request Reschedule-->
	<style>
        div.pbSubheader.brandTertiaryBgr.first.tertiaryPalette
        {
    		margin-top: 30px!important;
        }

        div.pbSubheader.brandTertiaryBgr
        {
    		margin: 15px 0px 25px 30px!important;
        }
        div.pbBody > img.addCompletedUsingRequestRescheduleIcon {
        	margin: 4px 0 0 0!important;
		    display: block!important;
		    position: absolute!important;
        }

     </style>
	<apex:form >
		<apex:pageBlock >
			<apex:outputPanel rendered="{!ActivityList == null || ActivityList.Size == 0}">
				<apex:outputText value="This Maintenance Work Order has no activities to display."/>
			</apex:outputPanel>

				<apex:repeat value="{!ActivityList}" var="activity">
					<apex:image value="{!IF(activity.CompletedUsingRequestReschedule__c,'/img/msg_icons/warning16.png','//:0')}" styleClass="addCompletedUsingRequestRescheduleIcon" title="This Work Order Activity was completed using request reschedule" rendered="{!activity.CompletedUsingRequestReschedule__c}"/>
					<apex:pageBlockSection title="{!activity.Name}" columns="1" collapsible="true" id="activitySection">
						<!-- collapse sections -->
						
						<script>                   
							twistSection(document.getElementById('img_{!$Component.activitySection}')); 
                		</script>
						<apex:variable value="{!ActivityLogMap[activity.Id]}" var="activityLogList"/>
						<apex:outputPanel rendered="{!activityLogList == null || activityLogList.Size == 0}">
							<apex:outputText value="This Activity has no daily Logs to display for this activity."/>
						</apex:outputPanel>
						<apex:outputPanel rendered="{!activityLogList != null && activityLogList.Size > 0}">
							<apex:repeat value="{!activityLogList}" var="activityLog">
								<apex:pageBlockSection title="{!activityLog.Name}" collapsible="true" id="activityLogSection" columns="1">
									<!-- collapse sections -->
									
									<script>                   
										twistSection(document.getElementById('img_{!$Component.activityLogSection}')); 
			                		</script>

									<apex:pageBlockSection columns="2" collapsible="true">
										<apex:outputField value="{!activityLog.Name}"/>
										<apex:outputField value="{!activityLog.Tradesman__c}"/>
										<apex:outputField value="{!activityLog.Started_New__c}"/>
										<apex:outputField value="{!activityLog.Finished_New__c}"/>
									</apex:pageBlockSection>
									<apex:pageBlockSection title="Work Order Activity Log Entries" collapsible="true" columns="1">
										<apex:variable value="{!ActivityLogEntryMap[activityLog.Id]}" var="activityLogEntryList"/>
										<apex:outputPanel rendered="{!activityLogEntryList == null || activityLogEntryList.Size == 0}">
											<apex:outputText value="This dailylog has no Log Entries for this activity log."/>
										</apex:outputPanel>
										<apex:outputPanel rendered="{!activityLogEntryList != null && activityLogEntryList.Size > 0}">
											<apex:pageBlockTable value="{!activityLogEntryList}" var="activityLogEntry">
												<apex:column value="{!activityLogEntry.Name}"/>
												<apex:column value="{!activityLogEntry.Status__c}"/>
												<apex:column value="{!activityLogEntry.TimeStamp__c}"/>
												<apex:column headerValue="User Defined Duration" value="{!activityLogEntry.User_Defined_Duration__c}{!IF(activityLogEntry.Status__c == 'Auto Complete', " Minutes", "")}"/>
												<apex:column value="{!activityLogEntry.Duration_Text__c}"/>
												<apex:column value="{!activityLogEntry.Comments__c}"/>
												<apex:column value="{!activityLogEntry.MapUrl__c}"/>
											</apex:pageBlockTable>
										</apex:outputPanel>
									</apex:pageBlockSection>
								</apex:pageBlockSection>
							</apex:repeat>
						</apex:outputPanel>
					</apex:pageBlockSection>
				</apex:repeat>
		</apex:pageBlock>
	</apex:form>
</apex:page>